Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 685260 (qt-5.12.3-stable) - Qt 5.12.3 stabilisation
Summary: Qt 5.12.3 stabilisation
Status: RESOLVED FIXED
Alias: qt-5.12.3-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 667280 677612 678080 679650
  Show dependency tree
 
Reported: 2019-05-07 10:09 UTC by Andreas Sturmlechner
Modified: 2019-06-06 20:58 UTC (History)
2 users (show)

See Also:
Package list:
dev-qt/assistant-5.12.3 amd64 ppc64 x86 dev-qt/designer-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/linguist-5.12.3 amd64 ppc64 x86 dev-qt/linguist-tools-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/pixeltool-5.12.3 amd64 ppc64 x86 dev-qt/qdbus-5.12.3 amd64 ppc ppc64 x86 dev-qt/qdbusviewer-5.12.3 amd64 ppc64 x86 dev-qt/qdoc-5.12.3 amd64 x86 dev-qt/qt3d-5.12.3 amd64 x86 dev-qt/qtbluetooth-5.12.3 amd64 arm x86 dev-qt/qtconcurrent-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtcore-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtdatavis3d-5.12.3 amd64 x86 dev-qt/qtdbus-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtdeclarative-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qt-docs-5.12.3_p201904161302 amd64 x86 dev-qt/qtgraphicaleffects-5.12.3 amd64 ppc ppc64 x86 dev-qt/qtgui-5.12.3-r1 amd64 arm ppc ppc64 x86 dev-qt/qthelp-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtimageformats-5.12.3 amd64 ppc64 x86 dev-qt/qtlocation-5.12.3 amd64 arm x86 dev-qt/qtmultimedia-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtnetwork-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtnetworkauth-5.12.3 amd64 x86 dev-qt/qtopengl-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtpaths-5.12.3 amd64 ppc ppc64 x86 dev-qt/qtpositioning-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtprintsupport-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtquickcontrols2-5.12.3 amd64 x86 dev-qt/qtquickcontrols-5.12.3 amd64 ppc ppc64 x86 dev-qt/qtscript-5.12.3 amd64 ppc ppc64 x86 dev-qt/qtscxml-5.12.3 amd64 x86 dev-qt/qtsensors-5.12.3 amd64 arm ppc64 x86 dev-qt/qtserialport-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtspeech-5.12.3 amd64 x86 dev-qt/qtsql-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtsvg-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qttest-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qttranslations-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtvirtualkeyboard-5.12.3 amd64 x86 dev-qt/qtwayland-5.12.3 amd64 ppc ppc64 x86 dev-qt/qtwebchannel-5.12.3 amd64 arm ppc64 x86 dev-qt/qtwebengine-5.12.3 amd64 arm x86 dev-qt/qtwebsockets-5.12.3 amd64 arm ppc64 x86 dev-qt/qtwidgets-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtx11extras-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtxml-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtxmlpatterns-5.12.3 amd64 arm ppc ppc64 x86 dev-qt/qtchooser-66 amd64 arm ppc ppc64 x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-05-07 10:09:59 UTC
We should probably start to think about that. Wrt KDE software compatibility, everything should be ready.
Comment 1 Andreas Sturmlechner gentoo-dev 2019-05-12 11:04:02 UTC
Added Package list.

Anything else we should pay attention to, like:
dev-python/PyQt5
dev-python/PyQt5-sip
dev-python/PyQtWebEngine
Comment 2 Andreas Sturmlechner gentoo-dev 2019-05-12 12:49:31 UTC
Adding dev-qt/qtcharts-5.12.3 for x11-misc/albert.
Comment 3 Davide Pesavento gentoo-dev 2019-05-12 23:02:28 UTC
(In reply to Andreas Sturmlechner from comment #1)
> Anything else we should pay attention to, like:
> dev-python/PyQt5
> dev-python/PyQt5-sip
> dev-python/PyQtWebEngine
No, these will be stabilized at a later time.
Comment 4 Andreas Sturmlechner gentoo-dev 2019-05-19 22:39:32 UTC
Dropping qtcharts again as albert won't be stabilised right now.

Adding dev-qt/qtchooser-66 to the list, without arches that have USE qt5 in use.mask; that is no more alpha, ia64. (re ~arch keywords those would additionally be mips, x86-fbsd that could be dropped).
Comment 5 Andreas Sturmlechner gentoo-dev 2019-05-21 08:45:36 UTC
30 days passed, arches please stabilise.
Comment 6 Stabilization helper bot gentoo-dev 2019-05-21 09:23:38 UTC
An automated check of this bug failed - repoman reported dependency errors (77 lines truncated): 

> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-db/oracle-instantclient:=[sdk]']
> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-db/oracle-instantclient:=[sdk]']
> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-db/oracle-instantclient:=[sdk]']
Comment 7 Larry the Git Cow gentoo-dev 2019-05-21 09:29:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7effe28926802de3e68438a84dd6f9b506904f8e

commit 7effe28926802de3e68438a84dd6f9b506904f8e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-05-21 09:28:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-05-21 09:28:57 +0000

    profiles: Stable-mask dev-qt/qtsql[oci8]
    
    Bug: https://bugs.gentoo.org/685260
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/base/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 8 Stabilization helper bot gentoo-dev 2019-05-21 10:23:15 UTC
An automated check of this bug failed - repoman reported dependency errors (77 lines truncated): 

> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-db/oracle-instantclient:=[sdk]']
> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-db/oracle-instantclient:=[sdk]']
> dependency.bad dev-qt/qtsql/qtsql-5.12.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-db/oracle-instantclient:=[sdk]']
Comment 9 Larry the Git Cow gentoo-dev 2019-05-21 10:30:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1448c381331c674a033c07d3903868b2300734bc

commit 1448c381331c674a033c07d3903868b2300734bc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-05-21 10:27:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-05-21 10:30:32 +0000

    profiles: amd64/x86: Move dev-qt/qtsql[oci8] stable-mask from base
    
    Bug: https://bugs.gentoo.org/685260
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/amd64/package.use.stable.mask | 4 ++++
 profiles/arch/x86/package.use.stable.mask   | 4 ++++
 profiles/base/package.use.stable.mask       | 4 ----
 3 files changed, 8 insertions(+), 4 deletions(-)
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-21 15:01:41 UTC
amd64 stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-21 20:48:54 UTC
x86 stable
Comment 12 Eduardo Coutinho Scalabrin 2019-05-23 11:20:44 UTC
I believe that now you must explain how to do this upgrade, because I could not do this upgrade...
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-23 12:26:08 UTC
ppc64 stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-23 12:54:24 UTC
btw

   dev-qt/assistant/assistant-5.12.3.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0)
['>=dev-qt/qtwebkit-5.9.1:5']
Comment 15 Andreas Sturmlechner gentoo-dev 2019-05-23 12:58:51 UTC
dev-qt/assistant has no ppc keyword.
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-23 13:20:10 UTC
arm stable
Comment 17 Agostino Sarubbo gentoo-dev 2019-06-05 07:13:42 UTC
ppc stable. Closing.